<div class="report_container">
  <h1>{{this.reportTitle}}</h1>
  <div class="report_content">
    <div class="report_params">
      <div *ngIf="report === reports.ItalyPaidOrders_1_1">
        <mat-form-field appearance="fill">
          <mat-label>Select folder</mat-label>
          <mat-select [formControl]="folderControl">
            <mat-option *ngFor="let folder of folders$ | async" [value]="folder.folderName">
              {{folder.folderName}}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </div>
      <div *ngIf="report === reports.StartWarsItemsReport_1_6">
        <mat-form-field appearance="fill">
          <mat-label>Choose a date</mat-label>
          <input matInput [matDatepicker]="picker" [(ngModel)]="startDate_1_6">
          <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
          <mat-datepicker #picker></mat-datepicker>
        </mat-form-field>
      </div>
      <div *ngIf="report === reports.ReturnsAndRefundsReport_1_8">
        <mat-form-field appearance="fill">
          <mat-label>Choose a start date</mat-label>
          <input matInput [matDatepicker]="picker" [(ngModel)]="dateFrom_1_8">
          <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
          <mat-datepicker #picker></mat-datepicker>
        </mat-form-field>
        <mat-form-field class="second-param" appearance="fill">
          <mat-label>Choose an end date</mat-label>
          <input matInput [matDatepicker]="picker2" [(ngModel)]="dateTo_1_8">
          <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
          <mat-datepicker #picker2></mat-datepicker>
        </mat-form-field>
      </div>
      <div *ngIf="report === reports.StockReport_1_9">
        <mat-form-field appearance="fill">
          <mat-label>Select location</mat-label>
          <mat-select [formControl]="locationControl">
            <mat-option *ngFor="let location of stockLocations$ | async" [value]="location.locationName">
              {{location.locationName}}
            </mat-option>
          </mat-select>
        </mat-form-field>
        <mat-form-field class="second-param" appearance="fill">
          <mat-label>Select category</mat-label>
          <mat-select [formControl]="categoryControl">
            <mat-option *ngFor="let category of categories$ | async" [value]="category.categoryName">
              {{category.categoryName}}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </div>
      <div *ngIf="report === reports.ItemsByDefaultSupplierReport_1_10">
        <mat-form-field appearance="fill">
          <mat-label>Select supplier</mat-label>
          <mat-select [formControl]="supplierControl">
            <mat-option *ngFor="let supplier of suppliers$ | async" [value]="supplier.supplierName">
              {{supplier.supplierName}}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </div>
      <div *ngIf="report === reports.PurchaseOrdersByItemAsDeliveredSoon_1_11">
        <div class="ng-autocomplete">
          <app-autocomplete (itemSKUEvent)="onSelectItem($event)"></app-autocomplete>
        </div>
      </div>
    </div>
    <div style="position: static; height: 90px;"></div>
    <div class="report_buttons">
      <button mat-raised-button color="primary" (click)="exportCsv()">Download Report</button>
      <button mat-raised-button color="primary" (click)="showReport()" >Show Report</button>
    </div>
  </div>
  <div class="report_data">
    <app-data-table [rowClassRules]="rowClassRules" [columns]="agColumns" [data]="rowData"></app-data-table>
  </div>
</div>

